List services
List existing Services.
A service may represent an application, component, or team you wish to open incidents against.
For more information see the API Concepts Document
Scoped OAuth requires: services.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
Filters the result, showing only the records whose name matches the query.
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseAn array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
Time zone in which results will be rendered. This will default to the account time zone.
tzinfoUsed to specify the field you wish to sort the results on.
"name"Value in
- "name"
- "name:asc"
- "name:desc"
Array of additional details to include.
Value in
- "escalation_policies"
- "teams"
- "integrations"
- "auto_pause_notifications_parameters"
Filters the results, showing only services with the specified name.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
Get Enablements for a Service GET
List all feature enablement settings for a service. Currently, only the `aiops` enablement is supported. For any account with the AIOps product addon, every service will have AIOps features enabled by default. **Warning conditions**: - If the account is not entitled to use AIOps features, a warning will be returned alongside the enablement data. Scoped OAuth requires: `services.read`
Update Custom Field Values PUT
Set custom field values for a service. Scoped OAuth requires: `services.write`